Get historical holdings snapshot
curl --request GET \
--url https://api.itoflow.ai/portfolios/{id}/holdings/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios/{id}/holdings/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios/{id}/holdings/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"asOf": "<string>",
"holdings": [
{
"price_usd": "<string>",
"quantity": "<string>",
"snapshot_at": "<string>",
"symbol": "<string>",
"unrealized_pnl_pct": "<string>",
"unrealized_pnl_usd": "<string>",
"valuation_unavailable_reason": "<string>",
"value_usd": "<string>",
"weight": "<string>"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Portfolios
Get historical holdings snapshot
Returns holdings at a point in time. Requires the “at” query parameter (ISO 8601 timestamp).
Operation ID: get__portfolios_id_holdings_history.
GET
https://api.itoflow.ai
/
portfolios
/
{id}
/
holdings
/
history
Get historical holdings snapshot
curl --request GET \
--url https://api.itoflow.ai/portfolios/{id}/holdings/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios/{id}/holdings/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios/{id}/holdings/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"asOf": "<string>",
"holdings": [
{
"price_usd": "<string>",
"quantity": "<string>",
"snapshot_at": "<string>",
"symbol": "<string>",
"unrealized_pnl_pct": "<string>",
"unrealized_pnl_usd": "<string>",
"valuation_unavailable_reason": "<string>",
"value_usd": "<string>",
"weight": "<string>"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}